Saturday, September 13, 2014

Android Studio - Error:compileSdkVersion android-L requires compiling with JDK 7



Error:compileSdkVersion android-L requires compiling with JDK 7
Open SDK Settings

Problem Description:

The default java 1.6 on Mac is located at
/Library/Java/Home
You need Java 1.7 to compile android-L

Solution:

Download the newest Java from Oracle site.
$ java -version

java version "1.8.0_20-ea"

Set location of Java JDK to newest Java you have installed


/Library/Java/JavaVirtualMachines/jdk1.8.0_20.jdk/Contents/Home